/**
 * @file ispindels.h
 */

#ifndef _ISPINDEL_H
#define _ISPINDEL_H

void ispindel_dump(sys_ispindel_list *ispindel);

/**
 * @brief Birth of a ispindel or data update. Create it in the database if 
 *        never seen before, else just update the database entry.
 * @param topic The MQTT topic string, contains the ispindel type and name.
 * @param payload The JSON formatted payload with the ispindel details.
 */
void ispindel_mqtt(char *topic, char *payload);


#endif
